Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html2
Interface HTMLFormElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  JRexHTMLFormElementImpl

public interface HTMLFormElement
extends HTMLElement

The `FORM` element encompasses behavior similar to a collection and an element. It provides direct access to the contained form controls as well as the attributes of the form element. See the FORM element definition in HTML 4.01.

See also the Document Object Model (DOM) Level 2 HTML Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAcceptCharset()` List of character sets supported by the server.
`String` | `getAction()` Server-side form handler.
`HTMLCollection` | `getElements()` Returns a collection of all form control elements in the form.
`String` | `getEnctype()` The content type of the submitted form, generally "application/x-www-form-urlencoded".
`int` | `getLength()` The number of form controls in the form.
`String` | `getMethod()` HTTP method [IETF RFC 2616] used to submit form.
`String` | `getName()` Names the form.
`String` | `getTarget()` Frame to render the resource in.
`void` | `reset()` Restores a form element's default values.
`void` | `setAcceptCharset(String acceptCharset)` List of character sets supported by the server.
`void` | `setAction(String action)` Server-side form handler.
`void` | `setEnctype(String enctype)` The content type of the submitted form, generally "application/x-www-form-urlencoded".
`void` | `setMethod(String method)` HTTP method [IETF RFC 2616] used to submit form.
`void` | `setName(String name)` Names the form.
`void` | `setTarget(String target)` Frame to render the resource in.
`void` | `submit()` Submits the form.

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getElements

    public HTMLCollection getElements()

  Returns a collection of all form control elements in the form.

### getLength

    public int getLength()

  The number of form controls in the form.

### getName

    public String getName()

  Names the form.

### setName

    public void setName(String name)

  Names the form.

### getAcceptCharset

    public String getAcceptCharset()

  List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.01.

### setAcceptCharset

    public void setAcceptCharset(String acceptCharset)

  List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.01.

### getAction

    public String getAction()

  Server-side form handler. See the action attribute definition in HTML 4.01.

### setAction

    public void setAction(String action)

  Server-side form handler. See the action attribute definition in HTML 4.01.

### getEnctype

    public String getEnctype()

  The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.01. The onsubmit even handler is not guaranteed to be triggered when invoking this method. The behavior is inconsistent for historical reasons and authors should not rely on a particular one.

### setEnctype

    public void setEnctype(String enctype)

  The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.01. The onsubmit even handler is not guaranteed to be triggered when invoking this method. The behavior is inconsistent for historical reasons and authors should not rely on a particular one.

### getMethod

    public String getMethod()

  HTTP method [IETF RFC 2616] used to submit form. See the method attribute definition in HTML 4.01.

### setMethod

    public void setMethod(String method)

  HTTP method [IETF RFC 2616] used to submit form. See the method attribute definition in HTML 4.01.

### getTarget

    public String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.01.

### setTarget

    public void setTarget(String target)

  Frame to render the resource in. See the target attribute definition in HTML 4.01.

### submit

    public void submit()

  Submits the form. It performs the same action as a submit button.

### reset

    public void reset()

  Restores a form element's default values. It performs the same action as a reset button.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.